Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class WebLogicObjectName

    java.lang.Object
      javax.management.ObjectName
          weblogic.management.WebLogicObjectName

All Implemented Interfaces:
  Serializable, QueryExp, weblogic.common.internal.InteropWriteReplaceable

Deprecated. 9.0.0.0

    public final class WebLogicObjectName

extends ObjectName
implements weblogic.common.internal.InteropWriteReplaceable

WebLogicObjectName is being eliminated in future versions. The JMX 1.2 implementation requires that instance javax.management.ObjectName are cloned as they are passed through the JMX APIs to eliminate the subclassing of ObjectName. As a result the usefulness of this class is greatly diminished. As such it is eliminated in the enhanced JMX implementation and customers are encouraged to discontinue its use.

The WebLogic Server Management API distinguishes between three types of MBeans:

Administration, Configuration and Runtime MBeans. For details on different MBean types @link WebLogicMBean

All MBeans have a name, a type and a domain. These attributes are reflected in the MBean's Object Name. The Object Name is the unique identifier for a given MBean across all domains, and has the following structure:

mydomain:Name=name,Type=type[,attr=value]...

Name is a name that is unique for a given domain and a given type. Examples of type include Server, WebComponent or JDBCConnectionPoolRuntime. Type is also used to distinguish between an administration and config MBean of a given type for example, the value of Type for a Server MBean is:

'Server' for an Administration MBean 'ServerConfig' for a Configuration MBean 'ServerRuntime' for a Runtime MBean

NOTE

1. "MBean" suffix is removed from the MBean interface name to get the base type of an MBean. Config or Runtime suffices are added to the base name (Server) to distinguish configuration and runtime MBeans from administration MBeans.

2. Specific MBean types have additional components. All runtime and configuration MBeans have a Location component that contains the name of the server on which that MBean is instantiated as its value.

For example: mydomain:Name=myServlet,Type=ServletRuntime,Location=myserver

Any MBean which has a child relationship with another MBean, has an extra attribute in its object name in the following format: TypeOfParentMBean=NameOfParentMBean. The following example objectname shows an administration LogMBean whose parent is a ServerMBean. Server is the type of Parent MBean, and myserver is the name of the Parent MBean:

mydomain:Name=mylog,Type=Log,Server=myserver

In otherwords anything that is not Name=,Type=,Location= indicates the parent relatinship.

See Also:
  `WebLogicMBean`, Serialized Form

Field Summary
`static String` | `LOCATION` Deprecated. The key for the location component of a WebLogic ObjectName.
`static String` | `NAME` Deprecated. The key for the simple name component of a WebLogic ObjectName
`static String` | `TYPE` Deprecated. The key for the type component of a WebLogic ObjectName
`static String` | `WEBLOGIC` Deprecated. The WebLogic domain

Constructor Summary
`WebLogicObjectName(ObjectName objectName, String locationName)` Deprecated. In WLS 6.1
`WebLogicObjectName(String fullObjectName)` Deprecated. In WLS 6.1
`WebLogicObjectName(String domain, Hashtable properties)` Deprecated. In WLS 6.1
`WebLogicObjectName(String name, String type, String domain)` Deprecated. For Admin MBeans
`WebLogicObjectName(String name, String type, String domain, String location)` Deprecated. For non-Admin MBeans
`WebLogicObjectName(String nameArg, String typeArg, String domainArg, String locationArg, WebLogicObjectName parentArg)` Deprecated. For non-Admin MBeans
`WebLogicObjectName(String name, String type, String domain, WebLogicObjectName parent)` Deprecated. For Admin MBeans
`WebLogicObjectName(String nameArg, String typeArg, WebLogicObjectName parentArg)` Deprecated. In WLS 6.1
`WebLogicObjectName(WebLogicObjectName objectNameArg, WebLogicObjectName parentArg)` Deprecated. In WLS 6.1

Method Summary
`static void` | `addTypeAndParents(String type, String[] parent)` Deprecated.
`static String` | `extractDomain(String fullWebLogicObjectName)` Deprecated. Strip out the name component of a stringified WeblogicObjectName
`String` | `getLocation()` Deprecated. Gets the location attribute of the WebLogicObjectName object
`String` | `getName()` Deprecated. Gets the name attribute of the WebLogicObjectName object
`WebLogicObjectName` | `getParent()` Deprecated. Gets the parent attribute of the WebLogicObjectName object
`String` | `getType()` Deprecated. Gets the type attribute of the WebLogicObjectName object
`int` | `hashCode()` Deprecated. Calculate the has code for the Name.
`Object` | `interopWriteReplace(weblogic.common.internal.PeerInfo info)` Deprecated.
`boolean` | `isAdmin()` Deprecated. Gets the admin attribute of the WebLogicObjectName object
`static boolean` | `isAdmin(ObjectName objectName)` Deprecated. Gets the admin attribute of the WebLogicObjectName class
`boolean` | `isConfig()` Deprecated. Gets the config attribute of the WebLogicObjectName object
`static boolean` | `isConfig(ObjectName objectName)` Deprecated. Gets the config attribute of the WebLogicObjectName class
`boolean` | `isRuntime()` Deprecated. Gets the runtime attribute of the WebLogicObjectName object
`static boolean` | `isRuntime(ObjectName objectName)` Deprecated. Gets the runtime attribute of the WebLogicObjectName class

Methods inherited from class javax.management.ObjectName
`apply, equals, getCanonicalKeyPropertyListString, getCanonicalName, getDomain, getInstance, getInstance, getInstance, getInstance, getKeyProperty, getKeyPropertyList, getKeyPropertyListString, isDomainPattern, isPattern, isPropertyPattern, quote, setMBeanServer, toString, unquote`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WEBLOGIC

    public static final String WEBLOGIC

  Deprecated.
  The WebLogic domain

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  Deprecated.
  The key for the simple name component of a WebLogic ObjectName

  See Also:
    Constant Field Values

### TYPE

    public static final String TYPE

  Deprecated.
  The key for the type component of a WebLogic ObjectName

  See Also:
    Constant Field Values

### LOCATION

    public static final String LOCATION

  Deprecated.
  The key for the location component of a WebLogic ObjectName. This is the simple name of the server (i.e. myserver) on which MBean lives.

  See Also:
    Constant Field Values

Constructor Detail

### WebLogicObjectName

    public WebLogicObjectName(String fullObjectName)
                       throws MalformedObjectNameException

  Deprecated. In WLS 6.1

  Builds a WebLogic ObjectName.

  Parameters:
    `fullObjectName` -
  Throws:
    `MalformedObjectNameException`

### WebLogicObjectName

    public WebLogicObjectName(String name,
                              String type,
                              String domain)
                       throws MalformedObjectNameException

  Deprecated.

  For Admin MBeans

  Builds an ObjectName for Admin MBean.

  Parameters:
    `name` - Unique with in type, and domain.
    `type` - Base type.
    `domain` - The WLS/JMX domain name for the MBean.
  Throws:
    `MalformedObjectNameException`

### WebLogicObjectName

    public WebLogicObjectName(String name,
                              String type,
                              String domain,
                              String location)
                       throws MalformedObjectNameException

  Deprecated.

  For non-Admin MBeans

  Builds an ObjectName for a non-Admin MBean.

  Parameters:
    `name` - Unique with in type, and domain.
    `type` - Type of the MBean must include Config or Runtime.
    `domain` - The WLS/JMX domain name for the MBean.
    `location` - The server on which the MBean is instantiated.
  Throws:
    `MalformedObjectNameException`

### WebLogicObjectName

    public WebLogicObjectName(String name,
                              String type,
                              String domain,
                              WebLogicObjectName parent)
                       throws MalformedObjectNameException

  Deprecated.

  For Admin MBeans

  Builds an ObjectName for admin MBean with a parent.

  Parameters:
    `name` - Unique with in type, and domain.
    `type` - Type of the MBean must include Config or Runtime.
    `domain` - The WLS/JMX domain name for the MBean.
    `parent` - The name of the parent for this MBean
  Throws:
    `MalformedObjectNameException`

### WebLogicObjectName

    public WebLogicObjectName(WebLogicObjectName objectNameArg,
                              WebLogicObjectName parentArg)
                       throws MalformedObjectNameException

  Deprecated. In WLS 6.1

  Parameters:
    `objectNameArg` -
    `parentArg` -
  Throws:
    `MalformedObjectNameException`

### WebLogicObjectName

    public WebLogicObjectName(String nameArg,
                              String typeArg,
                              String domainArg,
                              String locationArg,
                              WebLogicObjectName parentArg)
                       throws MalformedObjectNameException

  Deprecated.

  For non-Admin MBeans

  Builds an ObjectName for a non-Admin MBean with a parent.

  Parameters:
    `nameArg` - Unique with in type, and domain.
    `typeArg` - Type of the MBean must include Config or Runtime.
    `domainArg` - The WLS/JMX domain name for the MBean.
    `locationArg` - The server on which the bean will res
    `parentArg` - The name of the parent for this MBean
  Throws:
    `MalformedObjectNameException`

### WebLogicObjectName

    public WebLogicObjectName(String nameArg,
                              String typeArg,
                              WebLogicObjectName parentArg)
                       throws MalformedObjectNameException

  Deprecated. In WLS 6.1

  Builds an ObjectName for a non-Admin MBean. Domain is same as that of the parent.

  Parameters:
    `nameArg` -
    `typeArg` -
    `parentArg` -
  Throws:
    `MalformedObjectNameException`

### WebLogicObjectName

    public WebLogicObjectName(String domain,
                              Hashtable properties)
                       throws MalformedObjectNameException

  Deprecated. In WLS 6.1

  Builds an ObjectName for any MBean.

  Parameters:
    `domain` -
    `properties` -
  Throws:
    `MalformedObjectNameException`

### WebLogicObjectName

    public WebLogicObjectName(ObjectName objectName,
                              String locationName)
                       throws MalformedObjectNameException

  Deprecated. In WLS 6.1

  Builds an ObjectName for any MBean, localizing it to locationName.

  Parameters:
    `objectName` -
    `locationName` -
  Throws:
    `MalformedObjectNameException`

Method Detail

### isAdmin

    public static boolean isAdmin(ObjectName objectName)

  Deprecated.
  Gets the admin attribute of the WebLogicObjectName class

  Parameters:
    `objectName` -
  Returns:
    The admin value

### isConfig

    public static boolean isConfig(ObjectName objectName)

  Deprecated.
  Gets the config attribute of the WebLogicObjectName class

  Parameters:
    `objectName` -
  Returns:
    The config value

### isRuntime

    public static boolean isRuntime(ObjectName objectName)

  Deprecated.
  Gets the runtime attribute of the WebLogicObjectName class

  Parameters:
    `objectName` -
  Returns:
    The runtime value

### extractDomain

    public static String extractDomain(String fullWebLogicObjectName)
                                throws MalformedObjectNameException

  Deprecated.
  Strip out the name component of a stringified WeblogicObjectName

  Parameters:
    `fullWebLogicObjectName` -
  Returns:
  Throws:
    `MalformedObjectNameException`

### getName

    public String getName()

  Deprecated.
  Gets the name attribute of the WebLogicObjectName object

  Returns:
    The name value

### getType

    public String getType()

  Deprecated.
  Gets the type attribute of the WebLogicObjectName object

  Returns:
    The type value

### getLocation

    public String getLocation()

  Deprecated.
  Gets the location attribute of the WebLogicObjectName object

  Returns:
    The location value

### getParent

    public WebLogicObjectName getParent()

  Deprecated.
  Gets the parent attribute of the WebLogicObjectName object

  Returns:
    The parent value

### isAdmin

    public boolean isAdmin()

  Deprecated.
  Gets the admin attribute of the WebLogicObjectName object

  Returns:
    The admin value

### isConfig

    public boolean isConfig()

  Deprecated.
  Gets the config attribute of the WebLogicObjectName object

  Returns:
    The config value

### isRuntime

    public boolean isRuntime()

  Deprecated.
  Gets the runtime attribute of the WebLogicObjectName object

  Returns:
    The runtime value

### hashCode

    public int hashCode()

  Deprecated.
  Calculate the has code for the Name.

  Overrides:
    `hashCode` in class `ObjectName`
  Returns:

### addTypeAndParents

    public static void addTypeAndParents(String type,
                                         String[] parent)

  Deprecated.

### interopWriteReplace

    public Object interopWriteReplace(weblogic.common.internal.PeerInfo info)
                               throws IOException

  Deprecated.
  Specified by:
    `interopWriteReplace` in interface `weblogic.common.internal.InteropWriteReplaceable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD